cover_grid__bp_3_cols = 475px
cover_grid__bp_4_cols = 700px

cover_grid__preview__min_height__2_cols = 440px
cover_grid__preview__max_height__2_cols = 590px

cover_grid__preview__min_height__3_cols = 436px
cover_grid__preview__max_height__3_cols = 590px

cover_grid__preview__min_height__4_cols = 466px
cover_grid__preview__max_height__4_cols = 560px


cover_grid__preview_height(extraspace=0)
    height two_point_vw_fluid(
        page_manager__min_vw, (cover_grid__preview__min_height__2_cols + extraspace),
        (cover_grid__bp_3_cols - 1px), (cover_grid__preview__max_height__2_cols + extraspace),
    )
    @media (min-width: cover_grid__bp_3_cols)
        height two_point_vw_fluid(
            cover_grid__bp_3_cols, (cover_grid__preview__min_height__3_cols + extraspace),
            (cover_grid__bp_4_cols - 1px), (cover_grid__preview__max_height__3_cols + extraspace),
        )
    @media (min-width: cover_grid__bp_4_cols)
        height two_point_vw_fluid(
            cover_grid__bp_4_cols, (cover_grid__preview__min_height__4_cols + extraspace),
            (page_manager__breakpoint - 1px), (cover_grid__preview__max_height__4_cols + extraspace),
        )
    @media (min-width: page_manager__breakpoint)
        height (cover_grid__preview__max_height__4_cols + extraspace)


.cover-grid

    // grid container
    display grid
    grid-template-columns 1fr 1fr
    grid-column-gap page_manager__fluid_padding
    @media (min-width: cover_grid__bp_3_cols)
        grid-template-columns 1fr 1fr 1fr
    @media (min-width: cover_grid__bp_4_cols)
        grid-template-columns 1fr 1fr 1fr 1fr
    @media (min-width: page_manager__breakpoint)
        grid-column-gap page_manager__fluid_padding__max


    &--preview

        cover_grid__preview_height()


    &--preview-extraspace

        cover_grid__preview_height(extraspace=35px)
